%bcond_with network_tests

Name:		perl-Test-Kwalitee-Extra
Version:	0.2.0
Release:	2%{?dist}
Summary:	Run Kwalitee tests including optional indicators
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-Kwalitee-Extra/
Source0:	http://search.cpan.org/CPAN/authors/id/Y/YA/YAKEX/Test-Kwalitee-Extra-v%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module Runtime
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(MetaCPAN::API::Tiny)
BuildRequires:	perl(Module::CoreList) > 2.31
BuildRequires:	perl(Module::CPANTS::Analyse) >= 0.87
BuildRequires:	perl(Module::CPANTS::Kwalitee::Prereq)
BuildRequires:	perl(Module::Extract::Namespaces)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(version) >= 0.77
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(English)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::CPANTS::Kwalitee)
BuildRequires:	perl(Term::ANSIColor)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# Author/Release Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
CPANTS checks Kwalitee indicators, which is not quality but
automatically-measurable indicators of how good your distribution is.
Module::CPANTS::Analyse calculates Kwalitee but it is not directly applicable
to your module test. CPAN has already had Test::Kwalitee for the test module of
Kwalitee. It is, however, impossible to calculate prereq_matches_use indicator,
because dependent module Module::CPANTS::Analyse itself cannot calculate
prereq_matches_use indicator. It is marked as needs_db, but only limited
information is needed to calculate the indicator. This module calculates
prereq_matches_use by querying needed information from MetaCPAN.

%prep
%setup -q -n Test-Kwalitee-Extra-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
%if !%{with network_tests}
mv t/{01-kwalitee,04-prereq_maches_use,05-build_prereq_matches_use,06-minperlver}.t ./
%endif

make test AUTHOR_TESTING=1 RELEASE_TESTING=1

%if !%{with network_tests}
mv ./{01-kwalitee,04-prereq_maches_use,05-build_prereq_matches_use,06-minperlver}.t t/
%endif

%files
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Kwalitee::Extra.3pm*

%changelog
* Tue Feb 25 2014 Paul Howarth <paul@city-fan.org> - 0.2.0-2
- Sanitize for Fedora submission

* Thu Feb  6 2014 Paul Howarth <paul@city-fan.org> - 0.2.0-1
- Initial RPM version
